Ubuntu 10.4 Lucid Lynx: wget ne supporte pas le proxy

LiB et Ubuntu

Ce matin, au travail, j’avais besoin de récupérer quelques fichiers du net avec wget. Je suis connecté à internet en passant par un proxy, et jusqu’à présent ça ne m’avait jamais posé des problèmes, car wget prend la configuration du proxy déclarée dans les variables d’environnement. Mais ce matin, mon wget ne marchait plus. J’ai passé une bonne partie de ma pause café à essayer de trouver ce qui n’allait pas, la variable $http_proxy était bien déclaré mais wget se comportait comme s’il ne la voyait pas.

A la fin j’ai fini par trouver le problème, il s’agit d’un bug introduit dans l’interface de gestion du proxy dans Ubuntu 10.4 Lucid Lynx. Comme je pense que je ne suis pas le seul auquel cela peut poser un problème, je préfère en parler ici.

Au travail je suis connecté à internet en passant par un proxy, que j’ai défini dans System -> Preferences -> Proxy server (ou Système -> Préférences -> Serveur mandataire pour les Ubuntus installés en français). Normalement, cette interface va mettre à jour les variables système pour le support du proxy : $http_proxy, $https_proxy, $ftp_proxy, $no-proxy

Et c’est juste dans cette dernière, $no-proxy, que l’interface GNOME Proxy server d’Ubuntu 10.4 Lucid introduit une erreur, une virgule à la fin. Vous pouvez le vérifier en tapant echo $no_proxy depuis la console :

horacio@horacio-laptop:~$ echo $no_proxy
localhost,127.0.0.0/8,*.local,127.0.0.1,

Pour que wget remarche donc derrière le proxy, il faut éliminer cette virgule de trop :

horacio@horacio-laptop:~$ export no_proxy=$(echo $no_proxy | sed 's/,$//')

L’erreur sera corrigé dans la prochaine version d’Ubuntu. En attendant, si vous êtes concernés il vous suffit d’ajouter la ligne précédente à la fin de votre fichier ~/.bashrc.

Mise à jour

La description complète du bug est sur Lauchpad, et il semble que ZenLinux Blog est arrivée à la même conclusion. Les grands esprits… :tongue_wink_ee:

Tags: , , ,

Leave a Reply


%d bloggers like this: